//*****************************************************************************
//*
//*
//*		ExcelImportX.h
//*
//*
//*****************************************************************************
#ifndef 	__EXCELIMPORTX_H__
#define 	__EXCELIMPORTX_H__


#include	"ZipFile.h"


#ifndef _WCHAR_T_DEFINED
	#if _MSC_VER
	#include	<wchar.h>
	#else
	typedef	 unsigned short	wchar_t;
	#define _WCHAR_T_DEFINED	1
	#endif
#endif




#ifdef		zchar
#undef 		zchar
#endif

#ifdef		UNICODE
#define 	Z(a)		L##a
#define 	zchar		wchar_t
#define 	strzlen		wcslen
#else
#define 	Z(a)		a
#define 	zchar		char
#define 	strzlen		strlen
#endif


#define 	CEX_TYPE_SHEET		0					// Callback fr Blattnamen
#define 	CEX_TYPE_TEXT		1					// Callback fr Textzelle
#define 	CEX_TYPE_NUMBER		2					// Callback fr double Wert


typedef void (_cdecl *ExcelImportXCB)(void *pParam,unsigned uSheet,unsigned uCol,unsigned uRow,int iType,const zchar *pData);

	
//*****************************************************************************
//*
//*		CExcelImportX
//*
//*****************************************************************************
class CExcelImportX
{
public:	

	CExcelImportX();
   ~CExcelImportX();

	int					Open(const zchar *pFilename);
	void				SetCallback(void *pParam,ExcelImportXCB pProc);


protected:

	static  void _cdecl ImportDummy(void *pParam,unsigned uSheet,unsigned uCol,unsigned uRow,int iType,const zchar *pData);
	void				SetPassword (const zchar *pPassWd);

	unsigned short		m_aPasswd[64];
	void			   *m_pCallbackParam;
	ExcelImportXCB		m_pCallbackProc;

};



#ifdef		Z
#undef 		Z
#endif


#endif 	



